Extending Qt Creator Manual | LineInfo

Extending Qt Creator Manual 4.5.2

# LineInfo Class

(QmlJS::LineInfo)

- List of all members, including inherited members

## Public Functions

| LineInfo()
virtual | ~LineInfo()
void | initialize(QTextBlock begin, QTextBlock end)
bool | isContinuationLine()
bool | isUnfinishedLine()

## Protected Types

class | LinizerState
class | Program

## Protected Functions

bool | bottomLineStartsInMultilineComment()
QChar | firstNonWhiteSpace(const QString &t) const
bool | hasUnclosedParenOrBracket() const
Token | lastToken() const
bool | matchBracelessControlStatement()
bool | readLine()
void | startLinizer()
QStringRef | tokenText(const Token &token) const
QString | trimmedCodeLine(const QString &t)

## Member Function Documentation

### LineInfo::LineInfo()

Default constructs an instance of LineInfo.

### `[virtual]` LineInfo::~LineInfo()

Destroys the instance of LineInfo. The destructor is virtual.

### `[protected]` bool LineInfo::bottomLineStartsInMultilineComment()

### `[protected]` QChar LineInfo::firstNonWhiteSpace(const QString &t) const

### `[protected]` bool LineInfo::hasUnclosedParenOrBracket() const

### void LineInfo::initialize(QTextBlock begin, QTextBlock end)

### bool LineInfo::isContinuationLine()

### bool LineInfo::isUnfinishedLine()

### `[protected]` Token LineInfo::lastToken() const

### `[protected]` bool LineInfo::matchBracelessControlStatement()

### `[protected]` bool LineInfo::readLine()

### `[protected]` void LineInfo::startLinizer()

### `[protected]` QStringRef LineInfo::tokenText(const Token &token) const

### `[protected]` QString LineInfo::trimmedCodeLine(const QString &t)